### A free/open-source library for quantitative finance

Public Member Functions
Floor Class Reference
Financial instruments

Concrete floor class. More...

`#include <ql/instruments/capfloor.hpp>`

Inheritance diagram for Floor:
[legend]

List of all members.

## Public Member Functions

| Floor (const Leg &floatingLeg, const std::vector< Rate > &exerciseRates)

## Detailed Description

Concrete floor class.